# error functions

log_error() {
    if [ $2 ]; then
        echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - $1" >> $2
    else
        echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - $1"
    fi
}

throw_error () {
    log_error "$1" "$2"
    exit 1
}

# log function
log_msg () {
    if [ $2 ]; then
        echo "LOG: $(date '+%Y-%m-%d %H:%M:%S') - $1" >> $2
    else
        echo "LOG: $(date '+%Y-%m-%d %H:%M:%S') - $1"
    fi
}
